Subject: [bug#53909] [PATCH 0/4] 'guix pull -l' no longer displays package lists by default

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 13:56:19 +0100

Hi!

zimoun <[email-masked]> skribis:

> On Wed, 09 Feb 2022 at 23:12, Ludovic Courtès <[email-masked]> wrote:
>
>> The other day on IRC zimoun noted that ‘guix pull -l’ doesn’t work for
>> them because it prints those long package lists, which incidentally
>> makes it slower.
>
> My remark is based on the rate of changes.  Let assume that regular
> users "pull" once a week – I even guess it is less frequent than that.
>
> Here the number of additions this user would see for the last 10 weeks:

[...]

> Therefore, the current display of “guix pull -l” is not human readable.

Yeah, though it’s searchable in $PAGER.

>> $ ./pre-inst-env guix pull --details -l
>
> Note it hits bug#50472 [1].  Other said,
>
>     guix pull -l --details
>
> does not work as expected.
>
> 1:<http://issues.guix.gnu.org/issue/50472

Right.

>> Ludovic Courtès (4):
>>   pull: '--list-generations' doesn't list package changes by default.
>>   ui: 'with-paginated-output-port' gives access to the wrapped port.
>>   ui: 'display-generation' uses color when talking to a pager.
>>   pull: '--list-generations' pipes its output to the pager.
>
> Well, I am mainly running CLI with Emacs ’M-x shell’, so Emacs is my
> pager. :-)  However, I have tried with xterm and PAGER=less, nothing is
> different.  Do I miss something?

The output gets piped to the pager now, which wasn’t the case before (I
tested in xterm FWIW).

Thanks,
Ludo’.